import java.io.*;

public class ExterneKarte {

	private static Zentralrechner instance = null;
	private static String pfad = ".\\ExterneKarten";

	public ExterneKarte() {
	}

	public static void schreibeAufExterneKarte(
		int kartenNr,
		int kontoNr,
		int kundenNr,
		int pin,
		int falschePin,
		int restBetrag,
		int restBetragOff,
		int letzterTag,
		int letzterMonat) {
		FileWriter fw;
		File f;
		String kaNr = new Integer(kartenNr).toString();
		String koNr = new Integer(kontoNr).toString();
		String kuNr = new Integer(kundenNr).toString();
		String p = new Integer(pin).toString();
		String fp = new Integer(falschePin).toString();
		String rest = new Integer(restBetrag).toString();
		String restoff = new Integer(restBetragOff).toString();
		String tag = new Integer(letzterTag).toString();
		String monat= new Integer(letzterMonat).toString();
		try {
			f = new File(pfad);
			f.mkdirs();
			fw =
				new FileWriter(
					f.getCanonicalPath() + "\\Karte" + kaNr + ".txt");
			fw.write(kaNr + "\r");
			fw.write(koNr + "\r");
			fw.write(kuNr + "\r");
			fw.write(p + "\r");
			fw.write(fp + "\r");
			fw.write(rest + "\r");
			fw.write(restoff + "\r");
			fw.write(tag + "\r");
			fw.write(monat + "\r");
			fw.close();
		} catch (IOException e) {
			System.out.println(e);
		}
	}

	public static int[] leseExterneKarte(String dateiname) {
		File f;
		int[] werte = null;
		BufferedReader br;
		String line;
		int i = 0;
		boolean b = false;

		try {
			f = new File(pfad);
			f.mkdirs();
			String datei = f.getCanonicalPath() + "\\" + dateiname + ".txt";
			werte = new int[9];
			br = new BufferedReader(new FileReader(datei));
			while ((line = br.readLine()) != null) {
				werte[i] = Integer.parseInt(line);
				i++;
			}
			br.close();
			b = true;
		} catch (IOException e) {
		}
		if(b) return werte;
		else	return null;
	}

	public static void loescheVerzeichnis(String verzeichnis) {
		File f = new File(".\\" +verzeichnis);
		if (f.isDirectory()) {
			try {
				String filename;
				String fils[] = f.list();
				for (int i = 0; i < fils.length; ++i) {
					filename = f.getCanonicalPath() + "\\" + fils[i];
					File temp = new File(filename);
					temp.delete();
				}
				f.delete();
			} catch (Exception e) {
				System.out.println(e);
			}
		}
	}
}
